#include <htc.h>
#include <stdio.h>
#include "rs232.h"

#ifndef _XTAL_FREQ											//postavljanje frekvencije PIC-a
#define _XTAL_FREQ 4000000
#endif

__CONFIG (WDTE_OFF & MCLRE_OFF);

void start (int);

void main()
{
	ANSEL = 0x00;
	ANSELH = 0x00;
	TRISA = 0x00;
	TRISC = 0x00;
	PORTC = 0x00;
	__delay_ms(2000);
	start(5);
	rs232_init();
	unsigned char temp=0;
	rs232_send_byte(0x0C);
	rs232_send_text("PROJEKT: 1. zadatak\rDvosmjerna PIC to PC bezicna komunikacija pomocu XBee PRO wireless modula.\r\r");
	while(1)
	{
		if(1==RA3)											//Gumb nije stisnut, slušaj
		{
			PORTC = 0x00;
			temp = rs232_read_byte();						//Pročitaj podatak preko serije
			if(temp == 'a')
			{
				PORTC = 0x01;								//Ako je primljeni podatak 'a' prva ledica zasvijetli na 20ms
				__delay_ms(20);
				PORTC = 0x00;
			}
			/*else											//Ako se u hyperterminalu stisne 'q' brise se stranica
				if(temp == 0x71)
					rs232_send_byte(0x0C); */
		}
		else												//Gumb je stisnut
		{
			rs232_send_text("GUMB!\r");						//Šalji "GUMB!" preko serije
			PORTC = 0x02;									//Kad je poslan podatak druga ledica zasvijetli na 20ms
			__delay_ms(200);									
			PORTC = 0x00;
		}
	}
}

void start (int x)
{
	for(int i=0; i<x; i++)
	{
		PORTC = 0x0F;
		__delay_ms(100);
		PORTC = 0x00;
		__delay_ms(100);
	}
}
